name: CD for startPage

on:
  push:
    branches: [main]

jobs:
  build:
    runs-on: ubuntu-latest
    container: catthehacker/ubuntu:act-latest
    steps:
    - uses: actions/checkout@v3
    - name: Set up Docker Buildx
      uses: https://github.com/docker/setup-buildx-action@v2
    - name: Login to Docker Hub
      uses: docker/login-action@v2
      with:
        registry: git.skrd.fun
        username: skrd
        password: ${{ secrets.GITEA_TOKEN }}
    - name: Build and push
      uses: docker/build-push-action@master
      with:
        context: .
        file: ./Dockerfile
        push: true
        tags: git.skrd.fun/skrd/start.skrd.fun:latest
#
#
#  deploy:
#    needs: build
#    runs-on: ubuntu-latest
#
#    steps:
#      - uses: actions/checkout@v3
#      - name: Run build step
#        run: ./build.sh
#      - name: Configure Server
#        run: |
#          apt update && apt install rsync -y
#          echo "${{ secrets.SERVER_PRIVATE_KEY  }}" > private_key && chmod 600 private_key
#          export SSH_COMMAND="ssh -o StrictHostKeyChecking=no -i private_key  -p ${{ secrets.SSH_PORT || 22 }}"
#          rsync -vrz -e "$SSH_COMMAND" public/ ${{ secrets.SSH_USER }}@${{ secrets.SSH_HOST }}:/var/www/start.skrd.fun/
